Changeset 1970 for stable/2.8


Ignore:
Timestamp:
Oct 15, 2013 11:46:27 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/2.8/Cbc/configure

    r1966 r1970  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-cbc compile project Cbc with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19501947
    19511948# Get the name of the C++ compiler and appropriate compiler options
    1952 case $build in
     1949
     1950
     1951  # for backward compatibility
     1952  # Check whether --enable-doscompile or --disable-doscompile was given.
     1953if test "${enable_doscompile+set}" = set; then
     1954  enableval="$enable_doscompile"
     1955  enable_doscompile=$enableval
     1956else
     1957  enable_doscompile=no
     1958fi;
     1959
     1960  # Check whether --enable-msvc or --disable-msvc was given.
     1961if test "${enable_msvc+set}" = set; then
     1962  enableval="$enable_msvc"
     1963  enable_msvc=$enableval
     1964else
     1965  enable_msvc=no
     1966     if test "$enable_doscompile" = msvc ; then
     1967       enable_msvc=yes
     1968     elif test "$enable_doscompile" != no ; then
     1969       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1970echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1971   { (exit 1); exit 1; }; }
     1972     fi
     1973
     1974fi;
     1975
     1976  if test "$enable_msvc" = yes; then
     1977    case $build in
     1978      *-cygwin* | *-mingw*) ;;
     1979      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1980echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1981   { (exit 1); exit 1; }; } ;;
     1982    esac
     1983  fi
     1984
     1985
     1986 case $build in
    19531987  *-mingw*)
    19541988    if test "${LD+set}" = set; then :; else
     
    19571991    ;;
    19581992 esac
    1959  case $enable_doscompile in
    1960    msvc)
    1961      if test "x${LD+set}" = xset; then :; else
    1962        LD=link
    1963      fi
    1964      ;;
    1965  esac
    1966 
    1967 
    1968  # Check whether --enable-doscompile or --disable-doscompile was given.
    1969 if test "${enable_doscompile+set}" = set; then
    1970   enableval="$enable_doscompile"
    1971   if test "$enable_doscompile" != no; then
    1972      case $build in
    1973        *-cygwin* | *-mingw*) ;;
    1974        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1975 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1976    { (exit 1); exit 1; }; } ;;
    1977      esac
     1993 if test $enable_msvc = yes ; then
     1994   if test "x${LD+set}" = xset; then :; else
     1995     LD=link
    19781996   fi
    1979 else
    1980   enable_doscompile=no
    1981 fi;
    1982  case "$enable_doscompile" in
    1983    mingw)
    1984      case $build in
    1985        *-mingw*) enable_doscompile=no ;;
    1986      esac
    1987      ;;
    1988    msvc|no) ;;
    1989    yes) enable_doscompile=mingw ;;
    1990    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1991                     Try configure --help=recursive." >&5
    1992 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1993                     Try configure --help=recursive." >&2;}
    1994    { (exit 1); exit 1; }; }
    1995       ;;
    1996   esac
    1997   if test "$enable_doscompile" != no ; then
    1998     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1999 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    2000   fi
     1997 fi
    20011998
    20021999
     
    20412038case $build in
    20422039  *-cygwin* | *-mingw*)
    2043              if test "$enable_doscompile" = msvc ; then
    2044                comps="icl cl"
     2040             if test "$enable_msvc" = yes ; then
     2041               comps="icl cl gcc"
    20452042             else
    2046                comps="gcc cl"
     2043               comps="gcc icl cl"
    20472044             fi ;;
    20482045  *-*-solaris*)
     
    28972894            ;;
    28982895        esac
    2899         case $enable_doscompile in
    2900           mingw)
    2901             CFLAGS="-mno-cygwin"
    2902             cat >conftest.$ac_ext <<_ACEOF
    2903 /* confdefs.h.  */
    2904 _ACEOF
    2905 cat confdefs.h >>conftest.$ac_ext
    2906 cat >>conftest.$ac_ext <<_ACEOF
    2907 /* end confdefs.h.  */
    2908 
    2909 int
    2910 main ()
    2911 {
    2912 int i=0; i++;
    2913   ;
    2914   return 0;
    2915 }
    2916 _ACEOF
    2917 rm -f conftest.$ac_objext conftest$ac_exeext
    2918 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2919   (eval $ac_link) 2>conftest.er1
    2920   ac_status=$?
    2921   grep -v '^ *+' conftest.er1 >conftest.err
    2922   rm -f conftest.er1
    2923   cat conftest.err >&5
    2924   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2925   (exit $ac_status); } &&
    2926          { ac_try='test -z "$ac_c_werror_flag"
    2927                          || test ! -s conftest.err'
    2928   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2929   (eval $ac_try) 2>&5
    2930   ac_status=$?
    2931   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2932   (exit $ac_status); }; } &&
    2933          { ac_try='test -s conftest$ac_exeext'
    2934   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2935   (eval $ac_try) 2>&5
    2936   ac_status=$?
    2937   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2938   (exit $ac_status); }; }; then
    2939   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2940 else
    2941   echo "$as_me: failed program was:" >&5
    2942 sed 's/^/| /' conftest.$ac_ext >&5
    2943 
    2944 fi
    2945 rm -f conftest.err conftest.$ac_objext \
    2946       conftest$ac_exeext conftest.$ac_ext
    2947             CFLAGS=
    2948           ;;
    2949         esac
    29502896    esac
    29512897  fi
     
    32883234  clang* ) ;;
    32893235  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3290     case $build in
     3236
     3237 case $build in
    32913238  *-mingw*)
    32923239    if test "${LD+set}" = set; then :; else
     
    32953242    ;;
    32963243 esac
    3297  case $enable_doscompile in
    3298    msvc)
    3299      if test "x${LD+set}" = xset; then :; else
    3300        LD=link
    3301      fi
    3302      ;;
    3303  esac
     3244 if test $enable_msvc = yes ; then
     3245   if test "x${LD+set}" = xset; then :; else
     3246     LD=link
     3247   fi
     3248 fi
    33043249
    33053250    ;;
     
    33343279case $build in
    33353280  *-cygwin* | *-mingw*)
    3336              if test "$enable_doscompile" = msvc ; then
    3337                comps="icl cl"
    3338              else
    3339                comps="g++ cl"
    3340              fi ;;
     3281      if test "$enable_msvc" = yes ; then
     3282         comps="icl cl g++"
     3283      else
     3284         comps="g++ icl cl"
     3285      fi ;;
    33413286  *-*-solaris*)
    33423287             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38463791            ;;
    38473792        esac
    3848 
    3849         case $enable_doscompile in
    3850           mingw)
    3851             CXXFLAGS="-mno-cygwin"
    3852             cat >conftest.$ac_ext <<_ACEOF
    3853 /* confdefs.h.  */
    3854 _ACEOF
    3855 cat confdefs.h >>conftest.$ac_ext
    3856 cat >>conftest.$ac_ext <<_ACEOF
    3857 /* end confdefs.h.  */
    3858 
    3859 int
    3860 main ()
    3861 {
    3862 int i=0; i++;
    3863   ;
    3864   return 0;
    3865 }
    3866 _ACEOF
    3867 rm -f conftest.$ac_objext conftest$ac_exeext
    3868 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3869   (eval $ac_link) 2>conftest.er1
    3870   ac_status=$?
    3871   grep -v '^ *+' conftest.er1 >conftest.err
    3872   rm -f conftest.er1
    3873   cat conftest.err >&5
    3874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3875   (exit $ac_status); } &&
    3876          { ac_try='test -z "$ac_cxx_werror_flag"
    3877                          || test ! -s conftest.err'
    3878   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3879   (eval $ac_try) 2>&5
    3880   ac_status=$?
    3881   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3882   (exit $ac_status); }; } &&
    3883          { ac_try='test -s conftest$ac_exeext'
    3884   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3885   (eval $ac_try) 2>&5
    3886   ac_status=$?
    3887   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3888   (exit $ac_status); }; }; then
    3889   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3890 else
    3891   echo "$as_me: failed program was:" >&5
    3892 sed 's/^/| /' conftest.$ac_ext >&5
    3893 
    3894 fi
    3895 rm -f conftest.err conftest.$ac_objext \
    3896       conftest$ac_exeext conftest.$ac_ext
    3897             CXXFLAGS=
    3898           ;;
    3899         esac
    39003793    esac
    39013794  fi
     
    42494142  clang* ) ;;
    42504143  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4251     case $build in
     4144
     4145 case $build in
    42524146  *-mingw*)
    42534147    if test "${LD+set}" = set; then :; else
     
    42564150    ;;
    42574151 esac
    4258  case $enable_doscompile in
    4259    msvc)
    4260      if test "x${LD+set}" = xset; then :; else
    4261        LD=link
    4262      fi
    4263      ;;
    4264  esac
     4152 if test $enable_msvc = yes ; then
     4153   if test "x${LD+set}" = xset; then :; else
     4154     LD=link
     4155   fi
     4156 fi
    42654157
    42664158    ;;
     
    60355927*-*-irix6*)
    60365928  # Find out which ABI we are using.
    6037   echo '#line 6037 "configure"' > conftest.$ac_ext
     5929  echo '#line 5929 "configure"' > conftest.$ac_ext
    60385930  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60395931  (eval $ac_compile) 2>&5
     
    71697061
    71707062# Provide some information about the compiler.
    7171 echo "$as_me:7171:" \
     7063echo "$as_me:7063:" \
    71727064     "checking for Fortran 77 compiler version" >&5
    71737065ac_compiler=`set X $ac_compile; echo $2`
     
    82368128   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82378129   -e 's:$: $lt_compiler_flag:'`
    8238    (eval echo "\"\$as_me:8238: $lt_compile\"" >&5)
     8130   (eval echo "\"\$as_me:8130: $lt_compile\"" >&5)
    82398131   (eval "$lt_compile" 2>conftest.err)
    82408132   ac_status=$?
    82418133   cat conftest.err >&5
    8242    echo "$as_me:8242: \$? = $ac_status" >&5
     8134   echo "$as_me:8134: \$? = $ac_status" >&5
    82438135   if (exit $ac_status) && test -s "$ac_outfile"; then
    82448136     # The compiler can only warn and ignore the option if not recognized
     
    85048396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85058397   -e 's:$: $lt_compiler_flag:'`
    8506    (eval echo "\"\$as_me:8506: $lt_compile\"" >&5)
     8398   (eval echo "\"\$as_me:8398: $lt_compile\"" >&5)
    85078399   (eval "$lt_compile" 2>conftest.err)
    85088400   ac_status=$?
    85098401   cat conftest.err >&5
    8510    echo "$as_me:8510: \$? = $ac_status" >&5
     8402   echo "$as_me:8402: \$? = $ac_status" >&5
    85118403   if (exit $ac_status) && test -s "$ac_outfile"; then
    85128404     # The compiler can only warn and ignore the option if not recognized
     
    86088500   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86098501   -e 's:$: $lt_compiler_flag:'`
    8610    (eval echo "\"\$as_me:8610: $lt_compile\"" >&5)
     8502   (eval echo "\"\$as_me:8502: $lt_compile\"" >&5)
    86118503   (eval "$lt_compile" 2>out/conftest.err)
    86128504   ac_status=$?
    86138505   cat out/conftest.err >&5
    8614    echo "$as_me:8614: \$? = $ac_status" >&5
     8506   echo "$as_me:8506: \$? = $ac_status" >&5
    86158507   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86168508   then
     
    1095310845  lt_status=$lt_dlunknown
    1095410846  cat > conftest.$ac_ext <<EOF
    10955 #line 10955 "configure"
     10847#line 10847 "configure"
    1095610848#include "confdefs.h"
    1095710849
     
    1105310945  lt_status=$lt_dlunknown
    1105410946  cat > conftest.$ac_ext <<EOF
    11055 #line 11055 "configure"
     10947#line 10947 "configure"
    1105610948#include "confdefs.h"
    1105710949
     
    1339713289   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339813290   -e 's:$: $lt_compiler_flag:'`
    13399    (eval echo "\"\$as_me:13399: $lt_compile\"" >&5)
     13291   (eval echo "\"\$as_me:13291: $lt_compile\"" >&5)
    1340013292   (eval "$lt_compile" 2>conftest.err)
    1340113293   ac_status=$?
    1340213294   cat conftest.err >&5
    13403    echo "$as_me:13403: \$? = $ac_status" >&5
     13295   echo "$as_me:13295: \$? = $ac_status" >&5
    1340413296   if (exit $ac_status) && test -s "$ac_outfile"; then
    1340513297     # The compiler can only warn and ignore the option if not recognized
     
    1350113393   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350213394   -e 's:$: $lt_compiler_flag:'`
    13503    (eval echo "\"\$as_me:13503: $lt_compile\"" >&5)
     13395   (eval echo "\"\$as_me:13395: $lt_compile\"" >&5)
    1350413396   (eval "$lt_compile" 2>out/conftest.err)
    1350513397   ac_status=$?
    1350613398   cat out/conftest.err >&5
    13507    echo "$as_me:13507: \$? = $ac_status" >&5
     13399   echo "$as_me:13399: \$? = $ac_status" >&5
    1350813400   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1350913401   then
     
    1507114963   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1507214964   -e 's:$: $lt_compiler_flag:'`
    15073    (eval echo "\"\$as_me:15073: $lt_compile\"" >&5)
     14965   (eval echo "\"\$as_me:14965: $lt_compile\"" >&5)
    1507414966   (eval "$lt_compile" 2>conftest.err)
    1507514967   ac_status=$?
    1507614968   cat conftest.err >&5
    15077    echo "$as_me:15077: \$? = $ac_status" >&5
     14969   echo "$as_me:14969: \$? = $ac_status" >&5
    1507814970   if (exit $ac_status) && test -s "$ac_outfile"; then
    1507914971     # The compiler can only warn and ignore the option if not recognized
     
    1517515067   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517615068   -e 's:$: $lt_compiler_flag:'`
    15177    (eval echo "\"\$as_me:15177: $lt_compile\"" >&5)
     15069   (eval echo "\"\$as_me:15069: $lt_compile\"" >&5)
    1517815070   (eval "$lt_compile" 2>out/conftest.err)
    1517915071   ac_status=$?
    1518015072   cat out/conftest.err >&5
    15181    echo "$as_me:15181: \$? = $ac_status" >&5
     15073   echo "$as_me:15073: \$? = $ac_status" >&5
    1518215074   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1518315075   then
     
    1738217274   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738317275   -e 's:$: $lt_compiler_flag:'`
    17384    (eval echo "\"\$as_me:17384: $lt_compile\"" >&5)
     17276   (eval echo "\"\$as_me:17276: $lt_compile\"" >&5)
    1738517277   (eval "$lt_compile" 2>conftest.err)
    1738617278   ac_status=$?
    1738717279   cat conftest.err >&5
    17388    echo "$as_me:17388: \$? = $ac_status" >&5
     17280   echo "$as_me:17280: \$? = $ac_status" >&5
    1738917281   if (exit $ac_status) && test -s "$ac_outfile"; then
    1739017282     # The compiler can only warn and ignore the option if not recognized
     
    1765017542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1765117543   -e 's:$: $lt_compiler_flag:'`
    17652    (eval echo "\"\$as_me:17652: $lt_compile\"" >&5)
     17544   (eval echo "\"\$as_me:17544: $lt_compile\"" >&5)
    1765317545   (eval "$lt_compile" 2>conftest.err)
    1765417546   ac_status=$?
    1765517547   cat conftest.err >&5
    17656    echo "$as_me:17656: \$? = $ac_status" >&5
     17548   echo "$as_me:17548: \$? = $ac_status" >&5
    1765717549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1765817550     # The compiler can only warn and ignore the option if not recognized
     
    1775417646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775517647   -e 's:$: $lt_compiler_flag:'`
    17756    (eval echo "\"\$as_me:17756: $lt_compile\"" >&5)
     17648   (eval echo "\"\$as_me:17648: $lt_compile\"" >&5)
    1775717649   (eval "$lt_compile" 2>out/conftest.err)
    1775817650   ac_status=$?
    1775917651   cat out/conftest.err >&5
    17760    echo "$as_me:17760: \$? = $ac_status" >&5
     17652   echo "$as_me:17652: \$? = $ac_status" >&5
    1776117653   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1776217654   then
     
    3052630418echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3052730419coin_link_input_cmd="$LN_S"
    30528 if test "$enable_doscompile" = mingw; then
    30529   coin_link_input_cmd=cp
    30530 fi
    3053130420case "$CC" in
    3053230421  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.